Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.arguments
Class AbstractArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument

All Implemented Interfaces:
  ActionListener, PropertyChangeListener, EventListener

Direct Known Subclasses:
  BitsetArgument, ColorArgument, FileArgument, FileArrayArgument, FloatArgument, ImageArgument, IntegerArgument, OptionArgument, StringArgument

    public abstract class AbstractArgument

extends Object
implements ActionListener, PropertyChangeListener

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`protected String` | `description` describes the argument.
`protected String` | `name` short name for the argument.
`protected PropertyChangeSupport` | `pcs`
`protected AbstractTool` | `tool` reference to the internal frame
`protected Object` | `value` value of the argument.

Constructor Summary
`AbstractArgument()`
`AbstractArgument(AbstractTool tool, String name, String description, Object value)`

Method Summary
`abstract void` | `actionPerformed(ActionEvent e)`
`void` | `addPropertyChangeListener(PropertyChangeListener l)`
`protected void` | `firePropertyChange(PropertyChangeEvent evt)`
`Object` | `getArgument()` Gets the argument as an object.
`String` | `getDescription()`
`String` | `getName()`
`AbstractTool` | `getTool()`
`String` | `getUsage()` Give you a String that can be used in a usage description.
`Object` | `getValue()`
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `removePropertyChangeListener(PropertyChangeListener l)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setTool(AbstractTool tool)`
`void` | `setValue(Object value)`
`void` | `setValue(Object value, String propertyname)`
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pcs

    protected PropertyChangeSupport pcs

### value

    protected Object value

  value of the argument.

### name

    protected String name

  short name for the argument.

### tool

    protected AbstractTool tool

  reference to the internal frame

### description

    protected String description

  describes the argument.

Constructor Detail

### AbstractArgument

    public AbstractArgument()

### AbstractArgument

    public AbstractArgument(AbstractTool tool,
                            String name,
                            String description,
                            Object value)

Method Detail

### firePropertyChange

    protected void firePropertyChange(PropertyChangeEvent evt)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

### getValue

    public Object getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(Object value,
                         String propertyname)

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - The description to set.

### getDescription

    public String getDescription()

  Returns:
    Returns the description.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getUsage

    public String getUsage()

  Give you a String that can be used in a usage description.

  Returns:
    a String

### getTool

    public AbstractTool getTool()

### setTool

    public void setTool(AbstractTool tool)

### getArgument

    public Object getArgument()
                       throws InstantiationException

  Gets the argument as an object.

  Returns:
    an object
  Throws:
    `InstantiationException`

### getName

    public String getName()

  Returns:
    Returns the name.

### setValue

    public void setValue(Object value)

  Parameters:
    `value` - The value to set.

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### actionPerformed

    public abstract void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD